Get Users Application Provisioning Report

get

/users/{userId}/provisionReport/applications/{application}

Gets a provisioning report for a specific user and application. The logged in user must have at least Database Manager role for the application. Application roles are included in the report only if the logged in user has at least Application Manager role for the application.

If you are using EPM Shared Services security mode, this operation is not available. Instead, manage users, groups, and permissions in the Shared Services Console.

Request

Path Parameters
Query Parameters
  • Value can be all or none. Default value is none, meaning only links to roles, filters, and scripts are returned. If all is specified, provisioning information for all roles, filters, and scripts in the application is returned.

Back to Top

Response

200 Response

OK

Provisioning report returned successfully.

400 Response

Bad Request

The logged in user may not have the appropriate application role.

404 Response

Not Found

User not found.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get a provisioning report for a specific Essbase user and application.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/users/User002/provisionReport/applications/Sample?expand=all" -H "accept: application/json" -u %User%:%Password%

Example of Response Body

{
  "name" : "Sample",
  "roles" : {
    "items" : [ {
      "name" : "db_update"
    } ]
  },
  "filters" : {
    "items" : [ {
      "database" : "Basic",
      "items" : [ {
        "name" : "filter2"
      } ]
    } ]
  },
  "scripts" : {
    "items" : [ {
      "database" : "Basic",
      "items" : [ {
        "name" : "calc1"
      } ]
    } ]
  }
}
Back to Top